## com.sun.jersey.localization
Class LocalizableMessage

    java.lang.Object
      com.sun.jersey.localization.LocalizableMessage

All Implemented Interfaces:
  Localizable

    public final class LocalizableMessage

extends java.lang.Object
implements Localizable

Author:
  WS Development Team

Field Summary

Fields inherited from interface com.sun.jersey.localization.Localizable
`NOT_LOCALIZABLE`

Constructor Summary
`LocalizableMessage(java.lang.String bundlename, java.lang.String key, java.lang.Object... args)`

Method Summary
`java.lang.Object[]` | `getArguments()` Returns the arguments for message formatting.
`java.lang.String` | `getKey()` Gets the key in the resource bundle.
`java.lang.String` | `getResourceBundleName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizableMessage

    public LocalizableMessage(java.lang.String bundlename,
                              java.lang.String key,
                              java.lang.Object... args)

Method Detail

### getKey

    public java.lang.String getKey()

  Description copied from interface: `Localizable`
  Gets the key in the resource bundle.

  Specified by:
    `getKey` in interface `Localizable`
  Returns:
    if this method returns `Localizable.NOT_LOCALIZABLE`, that means the message is not localizable, and the first item of `Localizable.getArguments()` array holds a String.

### getArguments

    public java.lang.Object[] getArguments()

  Description copied from interface: `Localizable`
  Returns the arguments for message formatting.

  Specified by:
    `getArguments` in interface `Localizable`
  Returns:
    can be an array of length 0 but never be null.

### getResourceBundleName

    public java.lang.String getResourceBundleName()

  Specified by:
    `getResourceBundleName` in interface `Localizable`

Copyright © 2017 Oracle Corporation. All Rights Reserved.